/* global Bdf,Ficheform,$$ */

Ficheform.CorpusInclude = {};

Ficheform.CorpusInclude.init = function () {
    _initCorpus();
    _initLiage();
   
    
    function _initCorpus() {
        Bdf.$({ficheformEntry: "corpus-include"}).each(function (index, element) {
            var $entry = $(element);
            let entryKey = $entry.data("ficheformKey");
            let subsetName =  Bdf.getSubsetName($entry);
            let inputId = Bdf.$($entry, {ficheformRole: "textinput"})[0].id;
            let buttonId = Bdf.generateId();
            Bdf.$children($entry, {ficheformRole: "fiche-input"}).append(Bdf.render("ficheform:pioche", {
                buttonId: buttonId,
                action: "action-ficheform-Fiche",
                locKey: "_ link.pioche.fiche_one",
                locValue: Bdf.Loc.get("subset:corpus_" + subsetName),
                noTab: Ficheform.getOption("noTab")
            }));
            $$(buttonId).click(function () {
                Ficheform.CorpusInclude.pioche(entryKey, subsetName, inputId, true);
            });
            if (Bdf.$($entry, {ficheformRole: "poids"}).length > 0) {
                Ficheform.initPoidsInput($entry);
            }
        });
    }
    
    function _initLiage() {
        Bdf.$({ficheformEntry: "liage"}).each(function (index, element) {
            let $entry = $(element);
            let entryKey = $entry.data("ficheformKey");
            let inputId = Bdf.$($entry, {ficheformRole: "textinput"})[0].id;
            let buttonId = Bdf.generateId();
            Bdf.$children($entry, {ficheformRole: "fiche-input"}).append(Bdf.render("ficheform:pioche", {
                buttonId: buttonId,
                action: "action-ficheform-Liage",
                locKey: "_ link.pioche.fiche_all",
                noTab: Ficheform.getOption("noTab")
            }));
            $$(buttonId).click(function () {
                Ficheform.CorpusInclude.pioche(entryKey, "", inputId, false);
            });
            Ficheform.initPoidsInput($entry);
        });
    }

};

Ficheform.CorpusInclude.pioche = function (entryKey, subsets, inputId, withFicheCreationButton) {
    var $entry = Ficheform.$entry(entryKey);
    var limit = $entry.data("ficheformLimit");
    if (!limit) {
        limit = -1;
    }
    var url = "pioche?page=fiche&subsets=" + subsets + "&appelant=" + inputId + "&limit=" + limit;
    if (withFicheCreationButton) {
        url = url + "&buttons=fichecreation" ;
    }
    Ficheform.openDialog(url,"pioche_" + entryKey, 430,510);
};


Ficheform.CorpusInclude.showFicheCreation = function (inputId) {
    let $parent = Bdf.$parents($$(inputId), {subsetName: true});
    if ($parent.length > 0) {
        let subsetName = Bdf.getSubsetName($parent);
        Bdf.Overlay.showFicheEditor(subsetName, -1, {
            doneCallback: function (subsetName, id) {
                Bdf.appendValue(ID(inputId), id);
            }
        });
    }
};
